Skip to main content

Get account transactions

GET

Retrieves sequence-number-based transactions committed on-chain by an account. (Transactions without a sequence number are not retrieved.)If the start version is too far in the past, a 410 error is returned. If no start version is specified, retrieval starts from version 0.To query pending transactions, use the Get Transaction by Hash API.

⚠️ Notice regarding some API calls

As the latest version of the Aptos node client excludes the Legacy Indexer, Indexer-related errors may occur when making some API calls.

We are currently reviewing options to restore this functionality or provide alternative APIs, and will provide updates as related measures are completed.

We apologize for any inconvenience.

Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
addressstringrequired
The address of the account to retrieve. Account addresses without the hexadecimal prefix can also be queried.
Query Parameters
limitinteger
The maximum number of account modules to fetch.If no value is provided, the default page size is used.
startstring
A cursor that specifies the starting position for pagination.This cursor cannot be arbitrarily generated on the client side. You must first call this endpoint without specifying this query parameter, then use the cursor returned in the X-Aptos-Cursor header of the response.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X GET 'https://aptos-mainnet.nodit.io/v1/accounts/0x1/transactions?start=0000000000000000000000000000000000000000000000000000000000000000012f0000000000000000000000000000000000000000000000000000000000000000010d7374616b696e675f70726f7879' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'